<?
$CurrentCurrency = !empty($this->s_currency) ? $this->s_currency : Model_Countries::getGeoCurrency();
$Currencies = Model_Currencies::getAllAssoc();

$location_session = new Zend_Session_Namespace('last-filtered-location');

// This "$l" - is going to be used for top left corner
// to show the translation text (Check top escorts in $l)
// ----------------------------------------
if(!empty($location_session->data)) {
    $l = [$location_session->data['city_title'], $location_session->data['country_title']];
}else {
    $l = [];
}
$l = array_filter($l);

// ----------------------------------------
?>
<div class="header-top">
	<div class="header-top-container d-flex flex-row justify-content-between align-items-center inner-section desktop">
		<p>
            <? if(count($l) <= 0): ?>
                <?= __('homepage_greetings_seo_worldwide') ?>
            <? else: ?>
                <?= __('homepage_greetings_seo', ['city' =>  implode(', ', $l)]) ?>
            <? endif; ?>
		</p>
		<div class="d-flex">
			<div class="d-flex dropdown-selection currency">
				<div class="dropdown">
					<a class="dropdown-toggle" id="currentCurency" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
						<span class="dropdown-toggle-val">
							<?=$CurrentCurrency?></span>
						<span class="caret"></span>
					</a>
					<ul class="dropdown-menu" data-type="currentCurency">
						<? foreach ($Currencies as $currency) : ?>
						<li <?=($currency==$CurrentCurrency) ? ' style="display: none;"' : '' ;?>>
							<a href="javascript:void(0)" data-currency="<?=$currency?>">
								<?=$currency?></a>
							</li>
							<? endforeach; ?>
					</ul>
				</div>
			</div>
			<?
				$lang_url = $this->langUrl();
				$langs = Cubix_Application::getLangs();
				$lang_id = $this->lang();
			?>
			<div class="d-flex dropdown-selection currentLang">
				<a class="dropdown-toggle" id="currentLang" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
					<span class="dropdown-toggle-val">
						<?=$lang_id?> <span class="flag-icon flag-icon-<?=$lang_id ?>""></span></span>
				    <span class="
						 caret"></span>
				</a>
				<ul class="dropdown-menu " data-type="currentLang" x-placement="bottom-start" style="position: absolute; will-change: transform; top: 0px; left: 0px; transform: translate3d(0px, 19px, 0px);">
					<? foreach ( $langs as $lang): ?>
					<? if ( $lang_id == $lang->id ): ?>
					<? continue; ?>
					<? endif; ?>

					<li class="flag-row"><a href="javascript:void(0)" data-lang="<?=$lang->id?>" data-lang-url="<?=str_replace('%s', $lang->id, $lang_url)?>"
						 class="d-flex  justify-content-between align-items-center">
							<?=$lang->id?>
							<span class="flag-icon flag-icon-<?=$lang->id?>"></span></a></li>
					<? endforeach; ?>
				</ul>
			</div>
		</div>
	</div>
</div>